local FuelCan = Entities.derive("Base")


function FuelCan:load(x, y)
    self.x = 0
    self.y = 0
    self.r = 0
end

function FuelCan:setBody(x, y)
    fuelCounter = fuelCounter + 1
    self.body = Collider:addRectangle(x, y, 32, 32)
end

function FuelCan:update(dt)
    self.x, self.y = self.body:center()
    self.r = self.r + dt
    if freezetime == true then
        self.body:move(-dt*starsSpeed/2, dt*fuelSpeed/2)
    else
        self.body:move(-dt*starsSpeed, dt*fuelSpeed)
    end
    if self.x < -200 then
        Collider:remove(self.body)
    end
end

function FuelCan:draw()
    love.graphics.setColor(255,255,255)
    love.graphics.draw(fuelcan, self.x, self.y, self.r)
end

return FuelCan;
