local Star = Entities.derive("Base")

function Star:load(x, y)
    self.x = 0
    self.y = 0
end

function Star:setBody(x, y)
    if level ~= 2 then
        sprite = cloud1
    else
        sprite = cloud2
    end
end

function Star:update(dt)
            if freezetime == true then
                self.x = self.x - dt*starsSpeed/2
            else
                self.x = self.x - dt*starsSpeed
            end
end

function Star:draw()
    love.graphics.setColor(255,255,255)
    love.graphics.draw(sprite, self.x, self.y, self.r)
end

return Star;
