local Enemy = Entities.derive("Base")


function Enemy:load(x, y)
    self.x = 0
    self.y = 0
end

function Enemy:setBody(x, y)
    enemyCounter = enemyCounter + 1
    self.body = Collider:addRectangle(x, y, 120, 30)
end

function Enemy:update(dt)
    self.x, self.y = self.body:center()
    if freezetime == true then
        self.body:move(-dt*enemySpeed/2, 0) 
    else
        self.body:move(-dt*enemySpeed, 0)
    end
    if self.x < -200 then
        Collider:remove(self.body)
    end
end

function Enemy:draw()
    love.graphics.setColor(255,255,255)
    love.graphics.draw(plane1, self.x+55, self.y-25, _, -1, 1)
end

return Enemy;
