local Player = Entities.derive("Base")

local tmp = false 
function Player:load(x, y)
    self.fuel = 60
    self.fuelMax = 60
    self.shields = 60
    if engine == 1 then 
        self.speed = 20
    elseif engine == 2 then
        self.speed = 40
    elseif engine == 3 then
        self.speed = 60
    end

    self.x = 0
    self.y = 200

    self.health = 1

    self.r = 0

    self.score = 0
    Timer.addPeriodic(1, function() self.score = self.score + 1 end)

    self.earn = 0

    self.combo = 0
    comboResetTimer = 0
    Timer.addPeriodic(0.1, function() comboResetTimer = comboResetTimer + 0.1 end)    
end

function Player:setBody(x, y)
    self.body = Collider:addRectangle(0, 200, 120, 40)
end

function Player:update(dt)
    self.x,self.y = self.body:center()
    
    if self.x < 150 then
        self.body:move(dt*10, 0)
    end


        self.body:move(0, dt*100)
    if tmp == false and self.r < 0.20 then
        self.r = self.r + dt/4
    end

    if tmp == true and self.fuel > 0 then
        if engine == 1 then
            self.body:move(0, -dt*150)
        elseif engine == 2 then
            self.body:move(0, -dt*200)
        elseif engine == 3 then
            self.body:move(0, -dt*300)
        end
        if freezetime == false then
            if fuel_tank == 1 then
                self.fuel = self.fuel - dt*10
            elseif fuel_tank == 2 then
                self.fuel = self.fuel - dt*8
            elseif fuel_tank == 3 then
                self.fuel = self.fuel - dt*6
            elseif fuel_tank == 4 then
                self.fuel = self.fuel - dt*4
            end
        end
        if self.r > -0.20 then
            self.r = self.r - dt
        end
    end

    if self.y > 450 or self.y < -50 then
        self.health = 0
    end
    
    self.body:setRotation(self.r)
    
    if freezetime == false then
        if comboResetTimer > 1 then
            if self.combo ~= 0 then
                self.combo = 0
            end
        end
    else
        if comboResetTimer > 100 then
            if self.combo ~= 0 then
                self.combo = 0
            end
        end
    end
    
    if self.shields < 1 then
        player.health = 0
    end
end

function Player:draw()
    love.graphics.setColor(255,255,255)
    if plane == 1 then
        love.graphics.draw(plane1, self.x-55, self.y-30, self.r)
    elseif plane == 2 then
        love.graphics.draw(plane2, self.x-55, self.y-30, self.r)
    elseif plane == 3 then
        love.graphics.draw(plane3, self.x-55, self.y-30, self.r)
    end
end

function Player:keypressed(key)
    if key == " " and self.fuel > 0 then
        tmp = true
    end
end

function Player:keyreleased(key)
    if key == " " then
        tmp = false
    end


end


return Player;
