local Smoke = Entities.derive("Base")

function Smoke:load(x, y)
    self.x, self.y = x,y
end

function Smoke:setBody(x,y)
    self.x, self.y = x,y
end

function Smoke:update(dt)
    if freezetime == true then
        self.x = self.x - dt*starsSpeed/2
    else
        self.x = self.x - dt*starsSpeed
    end
end

function Smoke:draw()
    love.graphics.setColor(255,255,255)
    love.graphics.draw(smoke, self.x, self.y, self.r)
end

return Smoke;
