local Star = Entities.derive("Base")


function Star:load(x, y)
    self.x = 0
    self.y = 0
    self.r = 0
end

function Star:setBody(x, y)
    starCounter = starCounter + 1
    self.body = Collider:addRectangle(x, y, 32, 32)
end

function Star:update(dt)
    self.x, self.y = self.body:center()
    self.r = self.r + dt
    if freezetime == true then
        self.body:move(-dt*enemySpeed/2, 0) 
    else
        self.body:move(-dt*starsSpeed, 0)    
    end
    if self.x < -200 then
        Collider:remove(self.body)
    end
end

function Star:draw()
    love.graphics.setColor(255,255,255)
    love.graphics.draw(star, self.x, self.y, self.r)
end

return Star;
