Hud = class('Hud')

local alpha = 0
local fog_a = 0

function Hud:initialize()
end

function Hud:update(dt)
    if freezetime == true then
        if alpha < 200 then
            alpha = alpha + dt*100
        end
    else
        if alpha > 10 then
            alpha = alpha - dt*100
        end
    end

    if level == 2 then
        if fog_a < 200 then
            fog_a = fog_a + dt*100
        end
    else
        if fog_a > 10 then
            fog_a = fog_a - dt*100
        end
    end
end

function Hud:draw(dt)
    if gamestate == "playing" then
        love.graphics.draw(bar, 0, 400, 0)
        love.graphics.draw(bar, 0, 420, 0) 
        for i=1,player.fuel*2-23 do
            love.graphics.draw(fbar, -1+i, 400)
        end
        for i=1,player.shields*2-23 do
            love.graphics.draw(sbar, -1+i, 420)
        end


        love.graphics.setFont(font22)
        love.graphics.setColor(255,255,255)
        if player.combo == 0 then
            love.graphics.print("Score: "..player.score, 20, 10)
        else
            love.graphics.print("Score: "..player.score.." x"..player.combo, 20, 10)            
        end

        love.graphics.setFont(font14)        
        love.graphics.print(player.earn, 35, 39)
        love.graphics.draw(star, 20, 40, 0, 0.5)
        
        love.graphics.setColor(255,255,255,fog_a)
        love.graphics.draw(fog, 0, 0)        
        love.graphics.setColor(255,255,255,alpha)        
        love.graphics.draw(freezebg, 0, 0)

        love.graphics.setColor(255,255,255)        
        love.graphics.draw(vignette, 0, 0)
    end
end

